## postgres-decoderbufs 1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg18.04+1

=== debian/changelog ===
postgres-decoderbufs (1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Jan 2022 12:56:48 +0100

postgres-decoderbufs (1.8.0.final-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jan 2022 12:56:48 +0100

## postgres-decoderbufs 1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg100+1

=== Makefile ===
MODULE_big = decoderbufs
EXTENSION = decoderbufs
REGRESS = decoderbufs

PROTOBUF_C_CFLAGS = $(shell pkg-config --cflags 'libprotobuf-c >= 1.0.0')
PROTOBUF_C_LDFLAGS = $(shell pkg-config --libs 'libprotobuf-c >= 1.0.0')

PG_CPPFLAGS += -std=c11 $(PROTOBUF_C_CFLAGS) -I/usr/local/include $(C_PARAMS)
SHLIB_LINK  += $(PROTOBUF_C_LDFLAGS)

OBJS = src/decoderbufs.o src/proto/pg_logicaldec.pb-c.o

PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## postgres-decoderbufs 1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg90+1

=== debian/changelog ===
postgres-decoderbufs (1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Jan 2022 12:56:48 +0100

=== debian/control ===
Source: postgres-decoderbufs
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 10),
 libprotobuf-c-dev,
 pkg-config,
 postgresql-all (>= 217~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/debezium/postgres-decoderbufs
Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git

Package: postgresql-10-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

Package: postgresql-11-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

Package: postgresql-12-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

Package: postgresql-13-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

Package: postgresql-14-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

## postgres-decoderbufs 1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg100+1

=== debian/changelog ===
postgres-decoderbufs (1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Jan 2022 12:56:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  libprotobuf-c-dev,
  pkg-config,
  postgresql-all (>= 217~),

## postgres-decoderbufs 1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg120+1

=== debian/changelog ===
postgres-decoderbufs (1.8.0.final~20220627.1343-1~1.git8548f3a.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Jan 2022 12:56:48 +0100

## postgres-decoderbufs 1.8.0.final

=== debian/control ===
Source: postgres-decoderbufs
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libprotobuf-c-dev,
 pkg-config,
 postgresql-all (>= 217~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/debezium/postgres-decoderbufs
Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git

Package: postgresql-14-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

=== debian/watch ===
version=4
opts="uversionmangle=tr/A-Z/a-z/" \
https://github.com/debezium/postgres-decoderbufs/tags .*/v(.*).tar.gz

## postgres-decoderbufs 2.1.2

=== debian/changelog ===
postgres-decoderbufs (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Feb 2023 11:12:12 +0100

postgres-decoderbufs (2.0.0-1) unstable; urgency=medium

  * Update to 2.0.0.Final (identical to 1.8.0.Final).
  * debian/watch: Handle CR candidate releases.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Nov 2022 14:26:20 +0100

postgres-decoderbufs (1.8.0.final-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * Cherry-pick cd4171a0 from upstream for PG15 support.
  * debian/watch: Handle alpha/beta/final releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  libprotobuf-c-dev,
  pkg-config,
  postgresql-all (>= 217~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/debezium/postgres-decoderbufs
 Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
 Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git
 
-Package: postgresql-14-decoderbufs
+Package: postgresql-15-decoderbufs
 Architecture: any
 Depends:
  ${misc:Depends},

## postgres-decoderbufs 2.3.0

=== debian/changelog ===
postgres-decoderbufs (2.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2023 16:31:33 +0300

## postgres-decoderbufs 2.5.0

=== debian/changelog ===
postgres-decoderbufs (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Jan 2024 14:33:46 +0100

postgres-decoderbufs (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 16:35:20 +0200

postgres-decoderbufs (2.3.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 18:02:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  libprotobuf-c-dev,
  pkg-config,
  postgresql-all (>= 217~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/debezium/postgres-decoderbufs
 Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
 Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git
 
-Package: postgresql-15-decoderbufs
+Package: postgresql-16-decoderbufs
 Architecture: any
 Depends:
  ${misc:Depends},

=== debian/watch ===
version=4
opts="uversionmangle=tr/A-Z/a-z/;s/.(alpha|beta|cr)/~$1/;s/.final//" \
https://github.com/debezium/postgres-decoderbufs/tags .*/v(.*).tar.gz

## postgres-decoderbufs 2.6.1

=== debian/changelog ===
postgres-decoderbufs (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.
  * B-D on pkgconf.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:29:05 +0200

## postgres-decoderbufs 2.7.0

=== debian/changelog ===
postgres-decoderbufs (2.7.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 19 Jul 2024 19:45:18 +0200

postgres-decoderbufs (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Jul 2024 19:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,73 @@
 Build-Depends:
  debhelper-compat (= 13),
  libprotobuf-c-dev,
- pkg-config,
+ pkgconf,
  postgresql-all (>= 217~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/debezium/postgres-decoderbufs
 Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
 Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git
+
+Package: postgresql-10-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-11-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-12-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-13-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-14-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-15-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
 
 Package: postgresql-16-decoderbufs
 Architecture: any

## postgres-decoderbufs 3.0.6

=== debian/changelog ===
postgres-decoderbufs (3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Dec 2024 20:19:39 +0100

postgres-decoderbufs (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Dec 2024 12:59:26 +0100

postgres-decoderbufs (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2024 12:18:34 +0100

postgres-decoderbufs (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Nov 2024 13:39:13 +0100

postgres-decoderbufs (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Oct 2024 12:44:09 +0100

## postgres-decoderbufs 3.0.7

=== debian/changelog ===
postgres-decoderbufs (3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Jan 2025 11:35:53 +0100

=== debian/control ===
Source: postgres-decoderbufs
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libprotobuf-c-dev,
 pkgconf,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/debezium/postgres-decoderbufs
Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git

Package: postgresql-17-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

## postgres-decoderbufs 3.1.0~cr1

=== debian/changelog ===
postgres-decoderbufs (3.1.0~cr1-1) unstable; urgency=medium

  * New upstream version 3.1.0~cr1.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Mar 2025 12:36:03 +0100

## postgres-decoderbufs 3.1.0

=== debian/changelog ===
postgres-decoderbufs (3.1.0-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 07 Apr 2025 14:18:34 +0200

postgres-decoderbufs (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Apr 2025 14:18:34 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,76 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
 Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git
 
+Package: postgresql-10-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-11-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-12-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-13-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-14-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-15-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
+Package: postgresql-16-decoderbufs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: logical decoder output plugin to deliver data as Protocol Buffers
+ A PostgreSQL logical decoder output plugin to deliver data as Protocol
+ Buffers, used by Debezium (http://debezium.io).
+
 Package: postgresql-17-decoderbufs
 Architecture: any
 Depends:

## postgres-decoderbufs 3.2.0~beta2

=== debian/changelog ===
postgres-decoderbufs (3.2.0~beta2-1) experimental; urgency=medium

  * New upstream version 3.2.0~beta2.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Jun 2025 22:54:40 +0200

postgres-decoderbufs (3.2.0~beta1-1) experimental; urgency=medium

  * New upstream version 3.2.0~beta1.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Jun 2025 18:05:10 +0200

postgres-decoderbufs (3.1.1-1) experimental; urgency=medium

  * New upstream version 3.1.1.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Jun 2025 17:17:42 +0200

## postgres-decoderbufs 3.2.0~cr1

=== debian/changelog ===
postgres-decoderbufs (3.2.0~cr1-1) experimental; urgency=medium

  * New upstream version 3.2.0~cr1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2025 11:36:12 +0200

## postgres-decoderbufs 3.2.0

=== debian/changelog ===
postgres-decoderbufs (3.2.0-1) experimental; urgency=medium

  * New upstream version 3.2.0.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Jul 2025 22:29:29 +0200

## postgres-decoderbufs 3.3.0~beta1

=== debian/changelog ===
postgres-decoderbufs (3.3.0~beta1-1) experimental; urgency=medium

  * New upstream version 3.3.0~beta1.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Sep 2025 13:58:21 +0200

## postgres-decoderbufs 3.3.0

=== debian/changelog ===
postgres-decoderbufs (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0.
  * Upload for PostgreSQL 18. (Closes: #1117321)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:20:39 +0200

## postgres-decoderbufs 3.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 MODULE_big = decoderbufs
 EXTENSION = decoderbufs
-REGRESS = decoderbufs
 
 PROTOBUF_C_CFLAGS = $(shell pkg-config --cflags 'libprotobuf-c >= 1.0.0')
 PROTOBUF_C_LDFLAGS = $(shell pkg-config --libs 'libprotobuf-c >= 1.0.0')

=== debian/changelog ===
postgres-decoderbufs (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Oct 2025 21:41:21 +0200

=== debian/control ===
Source: postgres-decoderbufs
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libprotobuf-c-dev,
 pkgconf,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/debezium/postgres-decoderbufs
Vcs-Browser: https://salsa.debian.org/postgresql/postgres-decoderbufs
Vcs-Git: https://salsa.debian.org/postgresql/postgres-decoderbufs.git

Package: postgresql-18-decoderbufs
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: logical decoder output plugin to deliver data as Protocol Buffers
 A PostgreSQL logical decoder output plugin to deliver data as Protocol
 Buffers, used by Debezium (http://debezium.io).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	+pg_buildext -o shared_preload_libraries=decoderbufs -o wal_level=logical installcheck . . postgresql-%v-decoderbufs

## postgres-decoderbufs 3.4.0

=== debian/changelog ===
postgres-decoderbufs (3.4.0-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 06 Jan 2026 20:57:52 +0100

postgres-decoderbufs (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Jan 2026 20:57:52 +0100

postgres-decoderbufs (3.4.0~cr1-1) unstable; urgency=medium

  * New upstream version 3.4.0~cr1.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Dec 2025 17:03:40 +0100
